### Struct

# Cogl DmaBufHandle

#### Description [src]

    struct CoglDmaBufHandle {
      /* No available fields */
    }

An opaque type that tracks the lifetime of a DMA buffer fd. Release with cogl_dma_buf_handle_free().

#### Functions

###### cogl_dma_buf_handle_new

No description available.

#### Instance methods

###### cogl_dma_buf_handle_free

Releases `dmabuf_handle`; it is a programming error to release an already released handle.

###### cogl_dma_buf_handle_get_bpp

No description available.

###### cogl_dma_buf_handle_get_fd

Retrieves the file descriptor of `dmabuf_handle`.

###### cogl_dma_buf_handle_get_framebuffer

Retrieves the `CoglFramebuffer`, backed by an exported DMABuf buffer, of `dmabuf_handle`.

###### cogl_dma_buf_handle_get_height

No description available.

###### cogl_dma_buf_handle_get_modifier

No description available.

###### cogl_dma_buf_handle_get_n_planes

No description available.

###### cogl_dma_buf_handle_get_offset

No description available.

###### cogl_dma_buf_handle_get_stride

No description available.

###### cogl_dma_buf_handle_get_width

No description available.

###### cogl_dma_buf_handle_mmap

No description available.

###### cogl_dma_buf_handle_munmap

No description available.

###### cogl_dma_buf_handle_sync_read_end

No description available.

###### cogl_dma_buf_handle_sync_read_start

No description available.